## opendict 0.6.2

=== Makefile ===
# OpenDict Makefile
# 

DESTDIR     =
bindir	    = /usr/bin
datadir	    = /usr/share
opendictdir = $(datadir)/opendict

install:
	mkdir -p $(DESTDIR)$(opendictdir)
	cp -r lib/ $(DESTDIR)$(opendictdir)
	chmod -R ugo+rX $(DESTDIR)$(opendictdir)/lib
	cp -r pixmaps/ $(DESTDIR)$(opendictdir)	
	chmod -R ugo+rX $(DESTDIR)$(opendictdir)/pixmaps

	$(MAKE) -C po install prefix=$(DESTDIR)

	cp opendict.py $(DESTDIR)$(opendictdir)
	chmod ugo+rx $(DESTDIR)$(opendictdir)/opendict.py
	cp copying.html $(DESTDIR)$(opendictdir)
	chmod ugo+r $(DESTDIR)$(opendictdir)/copying.html
	ln -sf $(DESTDIR)$(opendictdir)/opendict.py $(DESTDIR)$(bindir)/opendict
	chmod ugo+rx $(DESTDIR)$(bindir)/opendict
	cp misc/opendict.desktop $(DESTDIR)$(datadir)/applications/
	chmod ugo+r $(DESTDIR)$(datadir)/applications/opendict.desktop

uninstall:
	rm -rf $(DESTDIR)$(opendictdir)
	rm -f $(DESTDIR)$(bindir)/opendict

	$(MAKE) -C po uninstall prefix=$(DESTDIR)

	rm -f $(DESTDIR)$(datadir)/applications/opendict.desktop
	
clean:
	for f in `find . -name '*.pyc'`; do rm $$f; done
	for f in `find . -name '*.pyo'`; do rm $$f; done
	for f in `find . -name '*.py~'`; do rm $$f; done
	for f in `find . -name '*~'`; do rm $$f; done

	$(MAKE) -C po clean

=== po/Makefile ===
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: messages.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
	done

messages.pot:
	@echo "Rebuilding the pot file"
	rm -f *.pot
	test -f /usr/bin/pygettext && /usr/bin/pygettext -v ../opendict.py ../lib/*.py ../lib/gui/*.py || echo
	test -f /usr/bin/pygettext.py && /usr/bin/pygettext.py -v ../opendict.py ../lib/*.py ../lib/gui/*.py || echo
	cp messages.pot opendict.pot
	rm -f messages.pot

%.mo: %.po
	msgfmt --verbose --check -o $@ $<

%.po: messages.pot
	@echo -n "Merging opendict.pot and $@"
	@msgmerge $@ opendict.pot -o $@.new
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

clean:
	rm -f $(MOFILES) messages messages.mo

uninstall:
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		rm -f $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
	done

## opendict 0.6.3

=== Makefile ===
# OpenDict Makefile
# 

DESTDIR     = /usr
bindir	    = $(DESTDIR)/bin
icondir	    = $(DESTDIR)/share/icons/hicolor
opendictdir = $(DESTDIR)/share/opendict

install:
	mkdir -p $(opendictdir)/lib/extra
	mkdir -p $(opendictdir)/lib/gui
	cp -r lib/*.py $(opendictdir)/lib
	cp -r lib/extra/*.py $(opendictdir)/lib/extra
	cp -r lib/gui/*.py $(opendictdir)/lib/gui
	chmod -R a+rX $(opendictdir)/lib
	mkdir -p $(opendictdir)/pixmaps
	cp pixmaps/*.png $(opendictdir)/pixmaps
	chmod -R a+rX $(opendictdir)/pixmaps
	cp pixmaps/icon-24x24.png $(icondir)/24x24/apps/opendict.png
	cp pixmaps/icon-32x32.png $(icondir)/32x32/apps/opendict.png
	cp pixmaps/icon-48x48.png $(icondir)/48x48/apps/opendict.png
	cp pixmaps/icon-96x96.png $(icondir)/96x96/apps/opendict.png
	cp pixmaps/SVG/icon-rune.svg $(icondir)/scalable/apps/opendict.svg

	$(MAKE) -C po install prefix=$(DESTDIR)

	cp opendict.py $(opendictdir)
	chmod a+rx $(opendictdir)/opendict.py
	cp copying.html $(opendictdir)
	chmod a+r $(opendictdir)/copying.html
	ln -sf $(opendictdir)/opendict.py $(bindir)/opendict
	cp misc/opendict.desktop $(DESTDIR)/share/applications
	chmod a+r $(DESTDIR)/share/applications/opendict.desktop

uninstall:
	rm -f $(DESTDIR)/share/applications/opendict.desktop
	rm -f $(bindir)/opendict
	rm -f $(opendictdir)/copying.html
	rm -f $(opendictdir)/opendict.py

	$(MAKE) -C po uninstall prefix=$(DESTDIR)

	rm -f $(icondir)/24x24/apps/opendict.png
	rm -f $(icondir)/32x32/apps/opendict.png
	rm -f $(icondir)/48x48/apps/opendict.png
	rm -f $(icondir)/96x96/apps/opendict.png
	rm -f $(icondir)/scalable/apps/opendict.svg
	rm -f $(opendictdir)/pixmaps/*.png
	rmdir $(opendictdir)/pixmaps
	rm -f $(opendictdir)/lib/gui/*.py*
	rm -f $(opendictdir)/lib/extra/*.py*
	rm -f $(opendictdir)/lib/*.py*
	rmdir $(opendictdir)/lib/extra
	rmdir $(opendictdir)/lib/gui
	rmdir $(opendictdir)/lib
	rmdir $(opendictdir)

clean:
	for f in `find . -name '*.pyc'`; do rm $$f; done
	for f in `find . -name '*.pyo'`; do rm $$f; done
	for f in `find . -name '*.py~'`; do rm $$f; done
	for f in `find . -name '*~'`; do rm $$f; done

	$(MAKE) -C po clean

=== po/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 install: all
 	for file in $(MOFILES); do \
 		lang=`echo $$file | sed 's/\.mo//'`; \
-		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
-		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
+		install -d $(prefix)/share/locale/$$lang/LC_MESSAGES/; \
+		install -m 0644 $$file $(prefix)/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
 	done
 
 messages.pot:
@@ -15,6 +15,7 @@
 	rm -f *.pot
 	test -f /usr/bin/pygettext && /usr/bin/pygettext -v ../opendict.py ../lib/*.py ../lib/gui/*.py || echo
 	test -f /usr/bin/pygettext.py && /usr/bin/pygettext.py -v ../opendict.py ../lib/*.py ../lib/gui/*.py || echo
+	test -f /usr/share/doc/packages/python/Tools/i18n/pygettext.py && python /usr/share/doc/packages/python/Tools/i18n/pygettext.py -v ../opendict.py ../lib/*.py ../lib/gui/*.py  || echo
 	cp messages.pot opendict.pot
 	rm -f messages.pot
 
@@ -37,5 +38,5 @@
 uninstall:
 	for file in $(MOFILES); do \
 		lang=`echo $$file | sed 's/\.mo//'`; \
-		rm -f $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
+		rm -f $(prefix)/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
 	done

=== debian/changelog ===
opendict (0.6.3-4) unstable; urgency=low

  * QA upload.

  [ Kęstutis Biliūnas ]
  * Switched to 3.0 (quilt) source format. As a consequence, no longer
    build-depend on quilt.
  * debian/control:
    - switched to debhelper v7;
    - add ${misc:Depends} to dependencies to properly cope with
      debhelper-triggerred dependencies;
    - bumped Standards-Version to 3.8.4. No changes required.
  * debian/rules: replaced deprecated calls to 'dh_clean -k' by dh_prep.
  * debian/patches:
    - the missing ChangeLog file converted to the patch 006_ChangeLog.diff;
    - added the patch 007_replace_string_exceptions.diff for not using string
      exceptions, not supported by Python 2.6 (closes: #585264);
    - added the temporary patch 999_changes_in_po_files.diff.

  [ Stéphane Graber ]
  * Convert from pycentral to dh_python2
    - debian/pycompat: Removed (no longer needed)
    - debian/rules: Replace dh_pycenral by dh_python2
    - debian/control
      + Drop XS-Python-Version
      + Drop python-central from build-depends
      + Replace build-depends on python-all-dev to python >= 2.6.6-3~
      + Drop XB-Python-Version from binary package

  [ Sebastian Ramacher ]
  * Orphan package (see #704970).
  * Acknowledge NMU from Olly Betts.
  * debian/rules:
    - Add build-arch and build-indep targets.
  * debian/control:
    - Bump Standards-Version to 3.9.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2013 22:47:31 +0200

opendict (0.6.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to depend on python-wxgtk2.8 rather than python-wxgtk2.6 - should
    be a low risk change, as upstream code explicitly tells wxversion that
    2.6 or 2.8 is acceptable.  (Closes: #645707)

 -- Olly Betts <olly@survex.com>  Thu, 24 Nov 2011 06:21:33 +0000

opendict (0.6.3-3) unstable; urgency=low

  * debian/patches: the patches refreshed with quilt option '-p1'. This should
    make the package work with the new source package format "3.0 (quilt)".
    (closes: #485269). Thanks to Raphael Hertzog <hertzog@debian.org> for the
    bug report.
  * debian/control: bumped Standards-Version to 3.8.0. No changes required;

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 09 Jun 2008 10:09:24 +0300

opendict (0.6.3-2) unstable; urgency=low

  * debian/patches:
    - added the patch 004_remove_pyxml.diff for remove dependency
      on python-xml;
    - added some changes from the upstream in the patch 001_helpwin.diff.
      Removed the "po/*" part from this patch;
    - added the patch 005_from_svn.diff for adding some small changes
      from the upstream svn repository.
  * debian/control:
    - removed dependency on the python-xml package (Closes: #468606);
    - bumped Standards-Version to 3.7.3. No changes required;
    - use debhelper (>> 6.0.0).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 01 Mar 2008 00:18:28 +0200

opendict (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * Changed the homepage address in the debian/contol (removed from extended
    packege description and added Homepage field) and debian/copyright
    files. Also chenged URL address in the debian/watch file (Closes: #443640). 
  * The upstream tarball have not the ChangeLog file, so I added it from
    previous version.
  * debian/control: added Build-Depends on quilt for manage a patches.
    Correspondingly changed the file debian/rules and added the directory
    debian/patches.
  * debian/patches (Closes: #435349):
    - added the patch 001_helpwin.diff for decreasing necessity of the mouse
      usage in the "About" dialog;  
    - added the patch 002_mainwin.diff for showing the active dictionary in
      the menu entry "Dictionaries";
     - added the patch 003_fix_po_makefile.diff for avoiding the rebuild of
      file opendict.pot on every rebuild of package.
  * debian/menu: updated for menu transition.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 23 Sep 2007 19:33:02 +0300

opendict (0.6.2-1) unstable; urgency=low

  * New upstream release:
    - added ability to activate/deactivate installed dictionaries so that
      only a part of them would be shown in the menu at the time.
  * Changed the homepage address in the debian/contol and debian/copyright
    files. Also chenged URL address in the debian/watch file.
  * debian/compat: use DH_COMPAT 5.
  * Added debian/pycompat file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun,  1 Oct 2006 21:53:17 +0300

opendict (0.6.1+cvs20060510-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - added pronunciation support using the festival package.
    - clipboard is not cleared after doing search.
  * debian/control:
    - added the package festival to Suggests.
    - bumped Standards-Version to 3.7.2. No changes required.
  * Updated for new Python policy (Closes: #380884):
    - debian/control: added build-depend on python-central and python-all-dev.
      Also added the XS-Python-Version and XB-Python-Version fields.
    - debian/rules: added dh_pycentral before dh_python in binary rule.
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue,  1 Aug 2006 19:54:16 +0300

opendict (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: fixed the path to source package. Thanks to Joost van Baal
    <joostvb@debian.org> for the suggestion. 
  * Removed opendict.1 manpage from the debian directory, because it is
    now accepted by the upstream.
  * debian/control: added the package dictd to Suggests. 
  * Sponsored upload by Joost van Baal <joostvb@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 13 Feb 2006 00:58:27 +0200

opendict (0.6.0-2) unstable; urgency=low

  * debian/control: changed dependency on the dummy python-xml package
    instead of the specific versioned python2.x-xml package.
  * debian/copyright file made more accurate and removed the TODO.txt and


=== debian/control ===
Source: opendict
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
X-Python-Version: all
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: http://opendict.idiles.com/

Package: opendict
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk2.8
Suggests: dictd, festival
Description: computer dictionary for several dictionary formats
 OpenDict is free cross-platform dictionary program. It works with
 DICT, Slowo and Mova dictionaries. It also supports plug-in
 dictionaries that may be created for almost any data source.
 OpenDict is a client for DICT servers.

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/opendict/opendict-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## opendict 0.6.5

=== debian/changelog ===
opendict (0.6.5-2) unstable; urgency=medium

  * QA upload.

  * "Standards-Version: 3.9.5" - no changes required.
  * debian/control,debian/copyright: Update upstream homepage URL.
  * debian/copyright: Refer to /usr/share/common-licenses/GPL-2 rather than
    /usr/share/common-licenses/GPL.

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 19:05:02 +1200

opendict (0.6.5-1) unstable; urgency=medium

  * QA upload.

  * New upstream release:
    + All our patches were applied upstream, so drop them.
  * Update to depend on python-wxgtk3.0 rather than python-wxgtk2.8.
  * New patch for wxpython 3.0 compatibility: wxpy3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 18:33:32 +1200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 X-Python-Version: all
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
-Homepage: http://opendict.idiles.com/
+Standards-Version: 3.9.5
+Homepage: http://opendict.sourceforge.net/
 
 Package: opendict
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk2.8
+Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk3.0
 Suggests: dictd, festival
 Description: computer dictionary for several dictionary formats
  OpenDict is free cross-platform dictionary program. It works with

## opendict 0.6.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # OpenDict Makefile
-# 
+#
 
 DESTDIR     = /usr
 bindir	    = $(DESTDIR)/bin
@@ -16,6 +16,11 @@
 	mkdir -p $(opendictdir)/pixmaps
 	cp pixmaps/*.png $(opendictdir)/pixmaps
 	chmod -R a+rX $(opendictdir)/pixmaps
+	mkdir -p $(icondir)/24x24/apps
+	mkdir -p $(icondir)/32x32/apps
+	mkdir -p $(icondir)/48x48/apps
+	mkdir -p $(icondir)/96x96/apps
+	mkdir -p $(icondir)/scalable/apps
 	cp pixmaps/icon-24x24.png $(icondir)/24x24/apps/opendict.png
 	cp pixmaps/icon-32x32.png $(icondir)/32x32/apps/opendict.png
 	cp pixmaps/icon-48x48.png $(icondir)/48x48/apps/opendict.png
@@ -28,7 +33,9 @@
 	chmod a+rx $(opendictdir)/opendict.py
 	cp copying.html $(opendictdir)
 	chmod a+r $(opendictdir)/copying.html
+	mkdir -p $(bindir)
 	ln -sf $(opendictdir)/opendict.py $(bindir)/opendict
+	mkdir -p $(DESTDIR)/share/applications
 	cp misc/opendict.desktop $(DESTDIR)/share/applications
 	chmod a+r $(DESTDIR)/share/applications/opendict.desktop

=== po/Makefile ===
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: opendict.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
	done

opendict.pot:
	@echo "Rebuilding the pot file"
	rm -f *.pot
	test -f /usr/bin/xgettext && /usr/bin/xgettext ../opendict.py ../lib/*.py ../lib/gui/*.py || echo
	cp messages.po opendict.pot
	rm -f messages.po

%.mo: %.po
	msgfmt --verbose --check -o $@ $<

%.po: opendict.pot
	@echo -n "Merging opendict.pot and $@"
	@msgmerge $@ opendict.pot -o $@.new
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

clean:
	rm -f $(MOFILES) messages messages.mo

uninstall:
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		rm -f $(prefix)/share/locale/$$lang/LC_MESSAGES/opendict.mo; \
	done

=== debian/changelog ===
opendict (0.6.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Remove wxpy3.0-compat.patch patch,
    merge with upstream.
  * Add fix-desktop-file.patch to fix
    desktop file issues.
  * Add doc-base documentation.
  * Update copyright to copyright-format 1.0.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 15 Jul 2015 13:52:00 -0500

opendict (0.6.5-3) unstable; urgency=low

  * QA upload.

  * "Standards-Version: 3.9.6" - no changes required.
  * debian/patches/wxpy3.0-compat.patch:
    - Fix deprecation warning.
    - Fix assertion upon opening preferences dialog.
    - Hard require wxPython 3.0 for simplicity (jessie no longer has 2.8).

 -- Olly Betts <olly@survex.com>  Tue, 21 Oct 2014 13:27:11 +1300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 X-Python-Version: all
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://opendict.sourceforge.net/
 
 Package: opendict

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEBDIR = $(CURDIR)/debian/opendict/usr

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/opendict.
	$(MAKE) install DESTDIR=$(DEBDIR)
	cp debian/icon-32x32.xpm $(DEBDIR)/share/opendict/pixmaps

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman opendict.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## opendict 0.6.7

=== debian/changelog ===
opendict (0.6.7-1) unstable; urgency=medium

  * QA Upload
  * New upstream release
  * debian/control
    + Bump standard versions 3.9.8 (no changes)
    + Change debhelper to 9 in B-D
    + Add dh-python in B-D
  * debian/compat
    + Switch compat level 7 to 9
  * debian/patches
    + Remove fix-desktop-file.patch
      + Merge with upstream
   * Remove menu file
  * debian/dirs
    + Remove some directories because aren't necessary
  * Add opendict.manpages file
  * debian/rules
    + Migrate to dh tiny rules

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 30 Apr 2016 21:03:10 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 X-Python-Version: all
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
+Standards-Version: 3.9.8
 Homepage: http://opendict.sourceforge.net/
 
 Package: opendict
@@ -16,4 +16,3 @@
  DICT, Slowo and Mova dictionaries. It also supports plug-in
  dictionaries that may be created for almost any data source.
  OpenDict is a client for DICT servers.
-

## opendict 0.6.8

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 bindir	    = $(DESTDIR)/bin
 icondir	    = $(DESTDIR)/share/icons/hicolor
 opendictdir = $(DESTDIR)/share/opendict
+mandir      = $(DESTDIR)/share/man/man1
 
 install:
 	mkdir -p $(opendictdir)/lib/extra
@@ -38,6 +39,8 @@
 	mkdir -p $(DESTDIR)/share/applications
 	cp misc/opendict.desktop $(DESTDIR)/share/applications
 	chmod a+r $(DESTDIR)/share/applications/opendict.desktop
+	mkdir -p $(mandir)
+	cp opendict.1 $(mandir)
 
 uninstall:
 	rm -f $(DESTDIR)/share/applications/opendict.desktop
@@ -61,6 +64,7 @@
 	rmdir $(opendictdir)/lib/gui
 	rmdir $(opendictdir)/lib
 	rmdir $(opendictdir)
+	rm -f $(mandir)/opendict.*
 
 clean:
 	for f in `find . -name '*.pyc'`; do rm $$f; done

=== misc/repository/Makefile ===
all:
	python make-addons-list.py Dictionaries http://db.opendict.idiles.com
	mv *.xml Data/

=== debian/changelog ===
opendict (0.6.8-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release.
  * debian/control
    + Bump standard versions 4.1.1
      + Use HTTPS in Link to copyright format.
    + Remove version depends from python.
    + Change debhelper to 10 in B-D.
    + Remove X-Python-Version field.
  * debian/compat
    + Switch compat level 9 to 10.
  * debian/changelog
    + Remove trailing whitespaces.
  * debian/watch
    + Use HTTPS in url.

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 28 Nov 2017 22:26:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-X-Python-Version: all
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python, dh-python
+Standards-Version: 4.1.1
 Homepage: http://opendict.sourceforge.net/
 
 Package: opendict

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEBDIR = $(CURDIR)/debian/opendict/usr

%:
	dh $@ --with python2

override_dh_auto_build:


override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DEBDIR)
	cp debian/icon-32x32.xpm $(DEBDIR)/share/opendict/pixmaps

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
https://qa.debian.org/watch/sf.php/opendict/opendict-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
